Package: josm
Version: 0.0.svn7480+dfsg1-1
Severity: important
Tags: patch

After a little inspection i found the cause of this BUG:

The  Debian package-build eliminates an icon mandatory for the template-system.

images/styles/standard/waypoint/pin.png

This icon is mandatory since this change in the upstream snv:

------------------------------------------------------------------------
r6838 | akks | 2014-02-11 14:27:58 +0100 (Di, 11. Feb 2014) | 2 Zeilen

see #9709: button for adding preset to main toolbar

This line makes the icon mandatory:

src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:

super("", ImageProvider.get("styles\\standard\\waypoint","pin"));

I solved the problem for me by including alls icons in the 
upstream svn below the path : /images/styles/standard

I made this change to debian/rules:

diff -r fa590004cf17 -r e76b35c73f8d rules
--- a/rules     Sat Oct 11 01:05:08 2014 +0200
+++ b/rules     Sat Oct 11 01:05:27 2014 +0200
@@ -46,16 +46,12 @@
        rm -rf $(CURDIR)/debian/josm/usr/share/josm/data/*.lang
        # remove executable bit
        chmod a-x $(CURDIR)/debian/josm/usr/share/josm/data/defaultpresets.xml
-       # remove empty directory
-       [ -z "$(ls ${IMGSTYLES_DIR} 2> /dev/null)" ] && rm -rf ${IMGSTYLES_DIR}
 
 get-orig-source:
        dh_testdir
        test -d ../tarballs/. || mkdir -p ../tarballs
        @echo Downloading josm from ${SVNREPO}
        svn export -r ${SVNREV} ${SVNREPO} ${DESTDIR}
-       @echo Removing icons directory
-       rm -rf ${DESTDIR}/images/styles/standard
        @echo Removing duplicated code
        rm -rf ${DESTDIR}/src/com ${DESTDIR}/src/oauth ${DESTDIR}/src/org/apache
        @echo Fetching revision metadata

After an run of  get-orig-source , fixing the .dcs and build josm works for me.
  

-- System Information:
Debian Release: jessie/sid
  APT prefers testing-updates
  APT policy: (500, 'testing-updates'), (500, 'testing')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.12-1-amd64 (SMP w/6 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages josm depends on:
ii  ant                              1.9.4-2
ii  fonts-droid                      1:4.4.4r2-2
ii  jmapviewer                       1.03+dfsg-1
ii  libandroid-json-org-java         20121204-20090211-1
ii  libcommons-codec-java            1.9-1
ii  libgettext-commons-java          0.9.6-2
ii  libmetadata-extractor-java       2.6.4-2
ii  liboauth-signpost-java           1.2.1.2-1.2
ii  libsvgsalamander-java            0~svn95-1
ii  openjdk-7-jre                    7u65-2.5.2-4
ii  openstreetmap-map-icons-classic  1:0.0.svn28731-1

Versions of packages josm recommends:
ii  josm-l10n         0.0.svn7480+dfsg1-1
pn  josm-plugins      <none>
ii  webkit-image-gtk  0.0.svn25399-3

josm suggests no packages.

-- no debconf information

_______________________________________________
Pkg-osm-maint mailing list
Pkg-osm-maint@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-osm-maint

Reply via email to